Page MenuHomeFreeBSD

Switch to llvm 4.0 for c++14-lang
ClosedPublic

Authored by bapt on Mar 31 2017, 9:51 PM.

Details

Summary

This would allow to nuke llvm 3.6 from the ports tree

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bapt created this revision.Mar 31 2017, 9:51 PM
Herald added a subscriber: mat. · View Herald Transcript

Can you remove _LLVMVER ? I fear that some committers will try to do weird things with it.

bapt updated this revision to Diff 26911.Apr 1 2017, 10:43 AM

Remove _LLVMVER

emaste added a subscriber: emaste.Apr 13 2017, 5:46 PM
miwi added a subscriber: miwi.Apr 20 2017, 2:25 PM
swills accepted this revision.Apr 28 2017, 1:33 AM
swills added a subscriber: swills.

LGTM

This revision is now accepted and ready to land.Apr 28 2017, 1:33 AM
This revision was automatically updated to reflect the committed changes.